Subject: Recipe to surface *code-conversion-work* buffer

From: Jambunathan K <[email-masked]>
Date: Tue, 24 Apr 2012 16:27:40 +0530

[Recipe to surface *code-conversion-work* buffer]
-------------------------------------------------

Summary
-------

This is my little excursion in to killing *scratch* (to death?)

Now I am wondering whether:
1. *scratch* buffer re-generates itself
2. Why some buffers like *code-conversion-work* (and other internal
   buffers like "Minibuf", "Echo Area") gets /surfaced/ in some buffer
   listings, but totally disappears in the next buffer listing.

For want of better place to put this, I am attaching it to *scratch*
buffer bug report.

Read on.

Steps to reproduce:
------------------

1. Emacs -Q
2. C-x b TAB gives me
    ,----
    | Click <mouse-2> on a completion to select it.
    | In this buffer, type RET to select the completion near point.
    | 
    | Possible completions are:
    | *Messages*
    `----
3. C-g. Now you are in *scratch*
4. Kill *scratch* => *Messages* shows up
5. Kill *Messages* => *Completions* shows up
6. Kill *Completions* => *scratch* shows up

   Now I get confused.  Why does *scratch* show up again. Didn't I kill
   it before? 

7. C-x b TAB TAB gets me this
    ,----
    | Click <mouse-2> on a completion to select it.
    | In this buffer, type RET to select the completion near point.
    | 
    | Possible completions are:
    |  *Echo Area 0* 	 *Echo Area 1*
    |  *Minibuf-0* 	 *Minibuf-1*
    |  *code-conversion-work*
    `----

   I choose to examine *code-conversion-work*.  The name seems
   interesting.  This is what I see there when I visit it:

    ,----
    | c:/Program Files/emacs-24.0.95/lisp/emacs-lisp/easymenu.elc
    `----

8. C-x b TAB now shows 
    ,----
    | Click <mouse-2> on a completion to select it.
    | In this buffer, type RET to select the completion near point.
    | 
    | Possible completions are:
    | *Completions*
    | *Messages*
    | *scratch*
    `----

   Note that special buffers that show up in step 7 has disappeared.